Bug 101170 - Need root password to see --help output for root apps
Summary: Need root password to see --help output for root apps
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: usermode (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-29 19:43 UTC by aaron weber
Modified: 2013-07-02 22:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 15:13:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description aaron weber 2003-07-29 19:43:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030702 Galeon/1.3.5

Description of problem:
You need your root password to display the --help or usage information for a
root-level command; you should be able to get that information without the root
password.

Version-Release number of selected component (if applicable):
1.63-1

How reproducible:
Always

Steps to Reproduce:

Given a graphical root-level application, open a terminal and run it as a normal
user. For example:

/usr/sbin/gdmconfig --help

Instead of getting the expected --help output, you are prompted for your
password. Only after entering the root password do you get the output.



Additional info:

Definite low or wishlist bug. Workaround: just become root or enter root password.

Comment 1 Jindrich Novy 2005-01-20 15:13:51 UTC
I think it's a possible security risk. In my opinion an unauthorized
person shouldn't be able to read even a help for an application that
needs authentication via usermode utilities.


Note You need to log in before you can comment on or make changes to this bug.